﻿local L = AceLibrary("AceLocale-2.2"):new("OptiTaunt")

L:RegisterTranslations("frFR", function() return {
 --Addon Stuff
	["Tooltip"] = "Clic-droit pour les options.",
	--["Slash-Commands"] = { "/optitaunt", "/ot" },
	
	["Statistics"] = "Statistiques",
	["Taunts"] = "Provocations :",
	["Resisted"] = "Résistées :",
	
--Skills
	["Taunt"] = "Provocation",
	["Mocking Blow"] = "Coup railleur",
	["Shield Wall"] = "Mur protecteur",
	["Last Stand"] = "Dernier rempart",
	["Challenging Shout"] = "Cri de défi",
	["Enraged Regeneration"] = "Régénération enragée",
	["Shield Bash"] = "Coup de bouclier",
	["Pummel"] = "Volée de coups",
	
	["Righteous Defense"] = "Défense vertueuse",
	["Avenger's Shield"] = "Bouclier du vengeur",
	["Hand of Reckoning"] = "Main de rétribution",
	["Divine Protection"] = "Protection divine",
	["Ardent Defender"] = "Ardent Defender",
	["Lay on Hands"] = "Lay on Hands",
	["Hand of Protection"] = "Hand of Protection",
	
	["Growl"] = "Grondement",
	["Frenzied Regeneration"] = "Régénération frénétique",
	["Challenging Roar"] = "Rugissement provocateur",
	["Survival Instincts"] = "Instincts de survie",
	["Barkskin"] = "Ecorce",
	
	["Dark Command"] = "Sombre ordre",
	["Death Grip"] = "Poigne de la mort",
	["Vampiric Blood"] = "Sang vampirique",
	["Icebound Fortitude"] = "Robustesse glaciale",
	["Anti-Magic Shell"] = "Carapace anti-magie",
	["Unbreakable Armor"] = "Armure incassable",
	["Strangulate"] = "Strangulation",
	
--Disarm
	["Disarm"] = "Désarmement",
	["Dismantle"] = "Démantèlement",
	["Chimera Shot - Scorpid"] = "Tir de la chimère - Scorpide",
	
--Debuffs
	["Delirious Slash"] = "Entaille délirante",
	["Rune of Blood"] = "Rune sanglante",
	["Necrotic Strike"] = "Necrotic Strike",
	["Rend Flesh"] = "Rend Flesh",
	["Banish"] = "Banish",
	["Black Brand"] = "Black Brand",
--Stun
	["Blood Sap"] = "Masse de sang",
	["Shovelled!"] = "Shovelled!",
	["Hoarfrost"] = "Hoarfrost",
	["Despair Stricken"] = "Despair Stricken",
	["Kidney Shot"] = "Kidney Shot",
--Magic
	["Polymorph: Spider"] = "Métamorphose : araignée",
	["Consuming Shadows"] = "Consuming Shadows",
	["Chains of Shadow"] = "Chains of Shadow",
	["Soul Sickness"] = "Soul Sickness",
	["Impending Despair"] = "Impending Despair",
	["Shared Suffering"] = "Shared Suffering",
	["Chains of Ice"] = "Chains of Ice",
--Curse
	["Veil of Shadow"] = "Veil of Shadow",
	["Curse of Doom"] = "Curse of Doom",
	["Cursed Arrow"] = "Cursed Arrow",
--Poison
	["Blinding Dirt"] = "Blinding Dirt",
	["Deadly Poison"] = "Deadly Poison",
--Disease
	["Leeching Rot"] = "Leeching Rot",
	["Blight"] = "Blight",
--Full heal req.
	["Glacial Strike"] = "Glacial Strike",
	
	
--Messages
	["resistmessage"] = "Alerte ! {t} a résisté à {a} !",
	["immunemessage"] = "Alerte ! {t} est immunisé contre {a} !",
	
	["abilitymessage"] = "+++ {a} activé pendant {d} sec +++",
	["abilityendmessage"] = "--- {a} ends ---",	
	
	["abilityontargetmessage"] = "+++ {a} activated on {t} ({d}s) +++",
	["abilityontargetendmessage"] = "--- {a} on {t} ends ---",	
	
	["counterspellmessage"] = "Kicked {s} by {t}  ({d}s)",	
	
	["disarmmessage"] = ">>> {a}! I am DISARMED ({d}s) <<<",
	["disarmendmessage"] = "<<< {a} fades. I am REARMED >>>",
	
	["debuffmessage"] = ">>> {a} ({d}s) <<<",
	["debuffendmessage"] = "<<< {a} ends. >>>",
	
	["debuffstunmessage"] = ">>> {a} ({d}s) - STUNNED<<<",
	["debuffmagicmessage"] = ">>> {a} ({d}s) - DISPEL<<<",
	["debuffcursemessage"] = ">>> {a} ({d}s) - DECURSE<<<",
	["debuffpoisonmessage"] = ">>> {a} ({d}s) - CURE POISON<<<",
	["debuffdiseasemessage"] = ">>> {a} ({d}s) - ABOLISH DISEASE<<<",
	["healreqmessage"] = ">>> {a} ({d}s) - HEAL ME TO 100%<<<",
	

--Whisper Strings
	["Resist-Whisper-Message-Warrior"] = "Mais heureusement tu es capable de prendre quelques coups toi-même. :-)",
	["Resist-Whisper-Message-Druid"] = "Forme d'ours FTW ! :-)",
	["Resist-Whisper-Message-Paladin"] = "Par le Marteau de justice, tu es à tes risques pour un moment. :-)",
	["Resist-Whisper-Message-Mage"] = "ICEBLOCK, ICEBLOCK, ICEBLOCK ! :-)",
	["Resist-Whisper-Message-Warlock"] = "Où est ton Marcheur éthéré ? :-)",
	["Resist-Whisper-Message-Hunter"] = "Montre ton habileté et feint la mort ! :-)",
	["Resist-Whisper-Message-Rogue"] = "Temps pour un sprint ? :-)",
	["Resist-Whisper-Message-Priest"] = "Temps pour une dernière prière... :-)",
	["Resist-Whisper-Message-Shaman"] = "Toi et tes totems êtes à vos risques pour un moment ! :-)",
	["Resist-Whisper-Message-Deathknight"] = "Frost Presence ftw! :-)",

	
--Options
	--Chat (say, group/raid, whisper, raidwarning)
	["opt_name_raidparty"] = "Groupe/Raid",
	["opt_desc_raidparty"] = "Active les alertes OptiTaunt sur le canal groupe ou raid.",
	["opt_name_say"] = "Say",
	["opt_desc_say"] = "Active les alertes OptiTaunt sur le canal say.",
	["opt_name_autowhisper"] = "Chuchoter",
	["opt_desc_autowhisper"] = "Chuchote automatiquement une alerte au joueur ayant l'aggro du monstre qui a résisté à la provocation.",
	["opt_name_raidwarning"] = "Raidwarning",
	["opt_desc_raidwarning"] = "Active les alertes OptiTaunt sur Raidwarning.",
	--Audio
	["opt_name_audio"] = "Alerte sonore",
	["opt_desc_audio"] = "Joue une alerte sonore lorsque la provocation résiste.",
	--Aggro Check
	["opt_name_aggrocheck"] = "Vérifie l'aggro",
	["opt_desc_aggrocheck"] = "OptiTaunt fera une alerte uniquement si la provocation est résistée par une cible sur laquelle vous n'avez pas déjà l'aggro.",
	--PvP Check
	["opt_name_pvpcheck"] = "Vérifie PvP",
	["opt_desc_pvpcheck"] = "Pas d'alerte en PvP.",
	--Whisper Warriors
	["opt_name_whisperwarriors"] = "Chuchotement aux guerriers",
	["opt_desc_whisperwarriors"] = "OptiTaunt chuchotera automatiquement même les guerriers si votre provocation est résistée.",
	--SinkLib
	["opt_name_output_sink"] = "Sortie (par SinkLib)",
	--Announce
	["opt_name_output"] = "Sortie (Chat)",
	["opt_desc_output"] = "Sur quel canal les alertes doivent être annoncées.",
	["opt_name_outputchannel"] = "Sortie (Channel)",
	["opt_desc_outputchannel"] = "Sur quel canal les alertes doivent être annoncées.",
	--Additional Options
	["opt_name_options"] = "Options supplémentaires",
	["opt_desc_options"] = "Options supplémentaires",
	--Taunt Counter / Statistics
	["Reset counters"] = "Réinit. statistiques",
	["opt_desc_resetcounters"] = "Réinitialise les statistiques de provocation.",
	["PrintTauntStatistics"] = "Announce taunt statistics",
	["opt_desc_printtauntstatistics"] = "Announces your taunt statistics in group or raid chat.",
	
	
--Announce Options

	--resist
	["opt_name_announceresist"] = "Announce resists",
	["opt_desc_announceresist"] = "Turns announcements of resisted actions on or off.",
	--immune
	["opt_name_announceimmue"] = "Announce immune",
	["opt_desc_announceimmue"] = "Turns announcements of immune actions on or off.",
	
	--ability
	["opt_name_announceability"] = "Announce abilites",
	["opt_desc_announceability"] = "Turns announcements of abilities on or off.",
	--ability END
	["opt_name_announceabilityend"] = "Announce end of abilites",
	["opt_desc_announceabilityend"] = "Turns announcements of fading abilities on or off.\n Requires 'Announce abilites'.",
	
	--ability on target
	["opt_name_announceabilityontarget"] = "Announce abilites used on target",
	["opt_desc_announceabilityontarget"] = "Turns announcements of abilities used on target on or off.",
	--ability on target END
	["opt_name_announceabilityontargetend"] = "Announce end of abilites used on target",
	["opt_desc_announceabilityontargetend"] = "Turns announcements of fading abilities used on target on or off.\n Requires 'Announce abilites'.",
	
	--disarm
	["opt_name_announcedisarm"] = "Announce disarm",
	["opt_desc_announcedisarm"] = "Turns announcements of disarm on or off.",
	--disarm END
	["opt_name_announcedisarmend"] = "Announce end of disarm",
	["opt_desc_announcedisarmend"] = "Turns announcements of fading disarm on or off.\n Requires 'Announce disarm'.",
	
	--debuff
	["opt_name_announcedebuff"] = "Announce debuff",
	["opt_desc_announcedebuff"] = "Turns announcements of debuff on or off.",
	--debuff END
	["opt_name_announcedebuffend"] = "Announce end of debuff",
	["opt_desc_announcedebuffend"] = "Turns announcements of fading debuff on or off.\n Requires 'Announce debuff'.",
	
	--stun
	["opt_name_announcedebuffstun"] = "Announce stun",
	["opt_desc_announcedebuffstun"] = "Turns announcements of stuns on or off.",
	--magic
	["opt_name_announcedebuffmagic"] = "Announce magic debuffs",
	["opt_desc_announcedebuffmagic"] = "Turns announcements of magic debuffs on or off.",
	--curse
	["opt_name_announcedebuffcurse"] = "Announce curse",
	["opt_desc_announcedebuffcurse"] = "Turns announcements of curses on or off.",
	--poison
	["opt_name_announcedebuffpoison"] = "Announce poison",
	["opt_desc_announcedebuffpoison"] = "Turns announcements of poisons on or off.",
	--disease
	["opt_name_announcedebuffdisease"] = "Announce disease",
	["opt_desc_announcedebuffdisease"] = "Turns announcements of stuns on or off.",
	--heal req.
	["opt_name_announcehealreq"] = "Announce healing debuffs",
	["opt_desc_announcehealreq"] = "Turns announcements of heal intensive debuffs on or off.",
	
	
--Message Text

	--resist
	["opt_name_resistmessage"] = "Messages d'alerte : résisté",
	["opt_usage_resistmessage"] = "\n{t} : targetname\n{a} : compétence",
	
	--immune
	["opt_name_immunemessage"] = "Messages d'alerte : immunisé",
	["opt_usage_immunemessage"] = "\n{t} : targetname\n{a} : compétence",
	
	--ability
	["opt_name_abilitymessage"] = "Messages d'alerte : compétence activée",
	["opt_usage_abilitymessage"] = "\n{a} : compétence\n{d} : durée",
	--ability END
	["opt_name_abilityendmessage"] = "Warningmessage: ability ends",
	["opt_usage_abilityendmessage"] = "\n{a}: ability",
	
	--ability on target
	["opt_name_abilityontargetmessage"] = "Warningmessage: activated ability on target",
	["opt_usage_abilityontargetmessage"] = "\n{a}: ability\n{t}: target\n{d}: duration",
	--ability on target END
	["opt_name_abilityontargetendmessage"] = "Warningmessage: ability on target expires",
	["opt_usage_abilityontargetendmessage"] = "\n{a}: ability\n{t}: target",
	
	--counterspell
	["opt_name_counterspellmessage"] = "Warningmessage: interrupted target's spellcast",
	["opt_usage_counterspellmessage"] = "\n{a}: ability\n{t}: target\n{d}: duration",
	
	--disarm
	["opt_name_disarmmessage"] = "Warningmessage: being disarmed",
	["opt_usage_disarmmessage"] = "\n{a}: ability\n{d}: duration",
	--disarm END
	["opt_name_disarmendmessage"] = "Warningmessage: being no longer disarmed",
	["opt_usage_disarmendmessage"] = "\n{a}: ability",
	
	--debuff
	["opt_name_debuffmessage"] = "Warningmessage: Debuff",
	["opt_usage_debuffmessage"] = "\n{a}: debuff\n{d}: duration",
	--debuff END
	["opt_name_debuffendmessage"] = "Warningmessage: Debuff ends",
	["opt_usage_debuffendmessage"] = "\n{a}: debuff\n{d}: duration",
	
	--stun
	["opt_name_debuffstunmessage"] = "Warningmessage: Stun",
	["opt_usage_debuffstunmessage"] = "\n{a}: debuff\n{d}: duration",
	--magic
	["opt_name_debuffmagicmessage"] = "Warningmessage: Magic debuff",
	["opt_usage_debuffmagicmessage"] = "\n{a}: debuff\n{d}: duration",
	--curse
	["opt_name_debuffcursemessage"] = "Warningmessage: Curse",
	["opt_usage_debuffcursemessage"] = "\n{a}: debuff\n{d}: duration",
	--poison
	["opt_name_debuffpoisonmessage"] = "Warningmessage: Poison",
	["opt_usage_debuffpoisonmessage"] = "\n{a}: debuff\n{d}: duration",
	--disease
	["opt_name_debuffdiseasemessage"] = "Warningmessage: Disease",
	["opt_usage_debuffdiseasemessage"] = "\n{a}: debuff\n{d}: duration",
	--heal req.
	["opt_name_healreqmessage"] = "Warningmessage: Heal needed",
	["opt_usage_healreqmessage"] = "\n{a}: debuff\n{d}: duration",
	
	
--Menu Text

	--Message Text
	["opt_name_messagetexts"] = "Messages d'alerte",
	["opt_desc_messagetexts"] = "Editez vos messages d'alerte.",
	
	--Announcement Settings
	["opt_name_announcesettings"] = "Announcements",
	["opt_desc_announcesettings"] = "What should be announced.",	
		
	--ability
	["opt_name_announces"] = "Annonce des compétences",
	["opt_desc_announces"] = "Quelles compétences doivent être annoncées.",
	--disarm
	["opt_name_disarm_announces"] = "Disarms",
	["opt_desc_disarm_announces"] = "Which disarms should be announced.",
	--debuff
	["opt_name_debuff_announces"] = "Debuffs",
	["opt_desc_debuff_announces"] = "Which debuffs should be announced.",
	--stun
	["opt_name_debuff_stun_announces"] = "Stun effects",
	["opt_desc_debuff_stun_announces"] = "Which stun effects should be announced?",
	--magic
	["opt_name_debuff_magic_announces"] = "Magic debuffs",
	["opt_desc_debuff_magic_announces"] = "Which magic debuffs should be announced?",
	--curse
	["opt_name_debuff_curse_announces"] = "Curse",
	["opt_desc_debuff_curse_announces"] = "Which curses should be announced?",
	--poison
	["opt_name_debuff_poison_announces"] = "Poison",
	["opt_desc_debuff_poison_announces"] = "Which poisons should be announced?",
	--disease
	["opt_name_debuff_disease_announces"] = "Disease",
	["opt_desc_debuff_disease_announces"] = "Which diseases should be announced?",
	--heal req.
	["opt_name_healreq_announces"] = "Healing debuffs",
	["opt_desc_healreq_announces"] = "Which healing debuffs should be announced?",
	--ability on target
		--none so far (handled via ability_announce - 0.93)
	
} end)